%define rel 2
%define srcname ktp-presence-applet

Summary:        Plasma applet for managing the user's Telepathy account presence
Name:           telepathy-kde-presence-applet
Version:        0.3.0
Release:        %mkrel %{rel}
Url:            https://projects.kde.org/projects/playground/network/telepathy/telepathy-presence-applet
Source0:        ftp://ftp.gtlib.cc.gatech.edu/pub/kde/unstable/telepathy-kde/%version/src/%srcname-%version.tar.bz2
Patch0:         ktp-presence-applet-0.3.0-fix-pobuild.patch
License:        GPLv2+
Group:          Networking/Instant messaging

BuildRequires:  telepathy-kde-common-internals-devel
Requires:       telepathy-kde-contact-list
Suggests:       telepathy-kde-contact-applet
# Package rename 
# Added on cauldron for the 0.2 switch (Mageia 2)
Obsoletes:      telepathy-presence-applet < 0.2.0-0
# Telepathy kde presence dataengine is not ported to telepathy qt 0.9 for the 0.3 releas
# so i'm obsoleting it in the presence applet
Obsoletes:      telepathy-kde-presence-dataengine < 0.3.0-0

%description
A Plasma applet for managing the user's Telepathy account presence.

%files -f plasma_applet_ktp_presence.lang
%_kde_libdir/kde4/plasma_applet_ktp_presence.so
%_kde_datadir/kde4/services/plasma_applet_ktp_presence.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%apply_patches

%build
%cmake_kde4

%install
%makeinstall_std -C build
%find_lang plasma_applet_ktp_presence


%changelog

* Tue Apr 10 2012 mikala <mikala> 0.3.0-2.mga2
+ Revision: 230019
- Obsolete telepathy-kde-presence-dataengine

* Mon Apr 09 2012 tmb <tmb> 0.3.0-1.mga2
+ Revision: 229956
- drop telepathy-presence-applet again
- restore provides on telepathy-presence-applet

  + mikala <mikala>
    - Remove wrong requires (they need to be on contact-list)
    - Add as suggests tkp-contact-applet
    - Remove useless provides
    - Update tarball to 0.3.0
    - Add patch0 to fix po build
    - Fix Group
    - Remove tabs
    - Fix requires

* Mon Nov 28 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173221
- Update tarball to 0.2.0
- Rename package name to match upstream name

* Fri Oct 07 2011 mikala <mikala> 0.1-0.git20111005.1.mga2
+ Revision: 152773
- Update git snapshot
- Update tarball
- fix files list

* Mon Jul 04 2011 dmorgan <dmorgan> 0.0-0.git20110624.4.mga2
+ Revision: 118560
- Enable protocols

* Sat Jun 25 2011 dmorgan <dmorgan> 0.0-0.git20110624.3.mga2
+ Revision: 113326
- Enhance requires

* Fri Jun 24 2011 dmorgan <dmorgan> 0.0-0.git20110624.2.mga2
+ Revision: 112990
- New snapshot

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110405.2.mga1
+ Revision: 86702
- Require telepathy-presence-dataengine

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110405.1.mga1
+ Revision: 86660
- imported package telepathy-presence-applet

